﻿using Newtonsoft.Json;

namespace RSND.Core.Querying;

public static class QueryHelper
{
    public static QueryType? GetQueryType(string queryJson)
    {
        BaseQuery? query = JsonConvert.DeserializeObject<BaseQuery>(queryJson);
        
        if (query != null)
        {
            return query.Type switch
            {
                "GetValue" => QueryType.GetValue,
                "SetValue" => QueryType.SetValue,
                "AddToTable" => QueryType.AddToTable,
                "CreateTable" => QueryType.CreateTable,
                _ => null
            };
        }
        
        return null;
    }
}