﻿using Fleck;
using RSND.Core;
using RSND.Core.DbInternals;

namespace RSND;

public static class RsndMain
{
    public static Database Db = new(Environment.GetCommandLineArgs()[1]);
    
    public static void Run()
    {
        Db.SetupFiles();
        Db.Save();

        WebSocketServer server = new WebSocketServer("ws://0.0.0.0:7878");
        Console.WriteLine("Server started");
        FleckLog.Level = LogLevel.Error;

        server.Start(socket =>
        {
            socket.OnOpen = () =>
            {
                var dbClient = new DbClient(socket);
                dbClient.Handle();
            };
        });

        Database.Loop();
    }
}